[18.10 FEAT] Add kernel config option "CONFIG_SCLP_OFB"

Bug #1787898 reported by bugproxy on 2018-08-20
26
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Ubuntu on IBM z Systems
High
Canonical Kernel Team
linux (Ubuntu)
High
Canonical Kernel
Bionic
High
Seth Forshee
Cosmic
High
Canonical Kernel

Bug Description

SRU Justification

Impact: Open for Business (OFB) message need to be sent to signal that a system is up and running.

Fix: Set CONFIG_SCLP_OFB=y.

Regression Potential: The option enables only a few pieces of architecture-specific code, so the potential impact is limited.

---

For successfully booting a special s390 LPAR, we need to be able to send the OFB (Open for Business) message to the Support Element to signal when the system is fully up and running.
Basic support for OFB was added to the kernel with the following commit
https://github.com/projectacrn/acrn-kernel/commit/c6f70d3b8a32fdec60d3f78cb59423f056f16688

The kernel config option CONFIG_SCLP_OFB need to be set....

This update is mandatory for 18.04 , but need to be requested first for 18.10

$ git grep SCLP_OFB
debian.master/config/annotations:CONFIG_SCLP_OFB policy<{'s390x': 'n'}>
debian.master/config/config.common.ubuntu:# CONFIG_SCLP_OFB is not set

bugproxy (bugproxy) on 2018-08-20
tags: added: architecture-s39064 bugnameltc-170716 severity-high targetmilestone-inin1810
Changed in ubuntu:
assignee: nobody → Skipper Bug Screeners (skipper-screen-team)
affects: ubuntu → linux (Ubuntu)
Changed in ubuntu-z-systems:
assignee: nobody → Canonical Kernel Team (canonical-kernel-team)
importance: Undecided → High
Changed in linux (Ubuntu Cosmic):
assignee: Skipper Bug Screeners (skipper-screen-team) → Canonical Kernel (canonical-kernel)
information type: Private → Public
description: updated
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in linux (Ubuntu Bionic):
status: New → Confirmed
Changed in linux (Ubuntu):
status: New → Confirmed
Seth Forshee (sforshee) wrote :

Updated configs for cosmic and unstable kernels.

Changed in linux (Ubuntu Cosmic):
status: Confirmed → Fix Committed
Seth Forshee (sforshee) on 2018-08-24
description: updated
Changed in ubuntu-z-systems:
status: New → Confirmed
Changed in linux (Ubuntu Bionic):
status: Confirmed → In Progress
assignee: nobody → Joseph Salisbury (jsalisbury)
importance: Undecided → High
Changed in linux (Ubuntu Cosmic):
importance: Undecided → High
Changed in ubuntu-z-systems:
status: Confirmed → In Progress
Changed in linux (Ubuntu Bionic):
assignee: Joseph Salisbury (jsalisbury) → Seth Forshee (sforshee)
Frank Heimes (frank-heimes) wrote :

Quick status update:

SRU process (bionic) was submitted and the modifications were accepted (two acks).

Since the current SRU cycle (17-Aug through 08-Sep) already reached the 'Last day for kernel commits' (15-Aug), this will be addressed in the following cycle (07-Sep through 29-Sep).

Means the planned release date of a (bionic) kernel that incl. this change is about '01-Oct'
(but a kernel with this modification will be available prior to that via the proposed archive pocket).

------- Comment From <email address hidden> 2018-08-30 10:58 EDT-------
Salesforce Ticket reference : https://support.canonical.com/ua/s/case/500D000001ngszbIAA/enable-configsclpofb-in-the-4150-kernel-config-file-for-the-1804-lst

Changed in linux (Ubuntu Bionic):
status: In Progress → Fix Committed
Changed in ubuntu-z-systems:
status: In Progress → Fix Committed

I built a test kernel with the commit sent for SRU ("UBUNTU: [Config] CONFIG_SCLP_OFB=y for s390x").

The test kernel can be downloaded from:
http://kernel.ubuntu.com/~ksouza/lp1787898/

Can you test this kernel and see if it resolves this bug?

Note about installing test kernels:
* For test kernels that are 4.15(Bionic) or newer, you need to install the linux-modules and linux-modules-extra .deb packages.

Thank you.

Gary Chapman (chaps+us.ibm.com) wrote :

http://kernel.ubuntu.com/~ksouza/lp1787898/linux-headers-4.15.0-34-generic_4.15.0-34.37~lp1787898_s390x.deb

does not contain s390 builds of tools:

$ arch
s390x
$ usr/src/linux-headers-4.15.0-34-generic/scripts/basic/fixdep
warning: TCG doesn't support requested feature: CPUID.01H:ECX.vmx [bit 5]
/lib64/ld-linux-x86-64.so.2: No such file or directory

Gary Chapman (chaps+us.ibm.com) wrote :

Our product includes a linux module. In order to build with lp1787898 I had to modify linux-headers-4.15.0-34-generic (exportroot tree) to copy (older) s390x built tools in place of the incorrect x86 versions in linux-headers-4.15.0-34-generic_4.15.0-34.37~lp1787898_s390x.deb:

scripts/sign-file
scripts/mod/mk_elfconfig
scripts/mod/modpost
scripts/basic/bin2c
scripts/basic/fixdep

With this in place, using the linux-modules* and the rest of lp1787898, Open for Business communication is successful. Specifically all OfB tests ended successfully, including deactivating a SSC-mode partition (loaded with an SSC supported appliance) from the Support Element console, and re-activating. Previously this left the partition in a failed state (OfB not seen by SE). Here it works as designed.

Please fix linux-headers-4.15.0-34-generic_4.15.0-34.37~lp1787898_s390x.deb. Would appreciate a repost here, but this fix must be done for the kernel release. Thank you !

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 4.18.0-7.8

---------------
linux (4.18.0-7.8) cosmic; urgency=medium

  * linux: 4.18.0-7.8 -proposed tracker (LP: #1789459)

  * pmtu.sh fails on 4.18 kernel (LP: #1789436)
    - SAUCE: Revert "vti6: fix PMTU caching and reporting on xmit"

 -- Seth Forshee <email address hidden> Tue, 28 Aug 2018 11:08:51 -0500

Changed in linux (Ubuntu Cosmic):
status: Fix Committed → Fix Released

Hi Gary,

Please install also the linux-headers-4.15.0-34_4.15.0-34.37~lp1787898_all.deb, as it contains the source code of the tools mentioned above. Please let me know if that doesn't solve the issue.

Thank you.

Yes, this worked, thank you. OFB communication also still works as documented in comment #9

Brad Figg (brad-figg) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-bionic' to 'verification-done-bionic'. If the problem still exists, change the tag 'verification-needed-bionic' to 'verification-failed-bionic'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-bionic
bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2018-09-18 03:05 EDT-------
Verified upfront by IBM

tags: added: verification-done-bionic
removed: verification-needed-bionic
Launchpad Janitor (janitor) wrote :
Download full text (23.5 KiB)

This bug was fixed in the package linux - 4.15.0-36.39

---------------
linux (4.15.0-36.39) bionic; urgency=medium

  * CVE-2018-14633
    - iscsi target: Use hex2bin instead of a re-implementation

  * CVE-2018-17182
    - mm: get rid of vmacache_flush_all() entirely

linux (4.15.0-35.38) bionic; urgency=medium

  * linux: 4.15.0-35.38 -proposed tracker (LP: #1791719)

  * device hotplug of vfio devices can lead to deadlock in vfio_pci_release
    (LP: #1792099)
    - SAUCE: vfio -- release device lock before userspace requests

  * L1TF mitigation not effective in some CPU and RAM combinations
    (LP: #1788563)
    - x86/speculation/l1tf: Fix overflow in l1tf_pfn_limit() on 32bit
    - x86/speculation/l1tf: Fix off-by-one error when warning that system has too
      much RAM
    - x86/speculation/l1tf: Increase l1tf memory limit for Nehalem+

  * CVE-2018-15594
    - x86/paravirt: Fix spectre-v2 mitigations for paravirt guests

  * CVE-2017-5715 (Spectre v2 s390x)
    - KVM: s390: implement CPU model only facilities
    - s390: detect etoken facility
    - KVM: s390: add etoken support for guests
    - s390/lib: use expoline for all bcr instructions
    - s390: fix br_r1_trampoline for machines without exrl
    - SAUCE: s390: use expoline thunks for all branches generated by the BPF JIT

  * Ubuntu18.04.1: cpuidle: powernv: Fix promotion from snooze if next state
    disabled (performance) (LP: #1790602)
    - cpuidle: powernv: Fix promotion from snooze if next state disabled

  * Watchdog CPU:19 Hard LOCKUP when kernel crash was triggered (LP: #1790636)
    - powerpc: hard disable irqs in smp_send_stop loop
    - powerpc: Fix deadlock with multiple calls to smp_send_stop
    - powerpc: smp_send_stop do not offline stopped CPUs
    - powerpc/powernv: Fix opal_event_shutdown() called with interrupts disabled

  * Security fix: check if IOMMU page is contained in the pinned physical page
    (LP: #1785675)
    - vfio/spapr: Use IOMMU pageshift rather than pagesize
    - KVM: PPC: Check if IOMMU page is contained in the pinned physical page

  * Missing Intel GPU pci-id's (LP: #1789924)
    - drm/i915/kbl: Add KBL GT2 sku
    - drm/i915/whl: Introducing Whiskey Lake platform
    - drm/i915/aml: Introducing Amber Lake platform
    - drm/i915/cfl: Add a new CFL PCI ID.

  * CVE-2018-15572
    - x86/speculation: Protect against userspace-userspace spectreRSB

  * Support Power Management for Thunderbolt Controller (LP: #1789358)
    - thunderbolt: Handle NULL boot ACL entries properly
    - thunderbolt: Notify userspace when boot_acl is changed
    - thunderbolt: Use 64-bit DMA mask if supported by the platform
    - thunderbolt: Do not unnecessarily call ICM get route
    - thunderbolt: No need to take tb->lock in domain suspend/complete
    - thunderbolt: Use correct ICM commands in system suspend
    - thunderbolt: Add support for runtime PM

  * random oopses on s390 systems using NVMe devices (LP: #1790480)
    - s390/pci: fix out of bounds access during irq setup

  * [Bionic] Spectre v4 mitigation (Speculative Store Bypass Disable) support
    for arm64 using SMC firmware call to set a hardware chicken bit
    (LP: #1787993) // CVE-2018...

Changed in linux (Ubuntu Bionic):
status: Fix Committed → Fix Released
Changed in ubuntu-z-systems:
status: Fix Committed → Fix Released
bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2018-10-17 08:22 EDT-------
IBM Bugzilla status-> closed, Fix Released with Bionic and Cosmic

description: updated
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers